GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

          • Get User List
          • Get User Information
          • Batch Get User Information
          • Create User
          • Batch Create Users
          • Update User Profile
          • Batch Update User Profile
          • Delete Users
          • Get User External Identity Sources
          • Get User Role List
          • Get User Real-name Authentication Info
          • Delete User Real-name Authentication Info
          • Get User Department List
          • Set User Departments
          • Get User Group List
          • Get User MFA Binding Info
          • Get Archived User List
          • Force Logout Users
          • Check if User Exists
          • Get User Accessible Apps
          • Get User Authorized Apps
          • Check if User Has Role
          • Get User Login History
          • Get User Previously Logged In Apps
          • Get User Previously Logged In Identity Sources
          • User Resignation
          • Batch User Resignation
          • Get User Authorized Resources
          • Check User Session Status in Application
          • Import User OTP
        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. User Management

  10. /
  11. Get User Department List

¶ Get user department list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the user department list through user ID, support paging, you can choose to get custom data, select a specified user ID type, ascending or descending order, etc.

¶ Method name

ManagementClient.get_user_departments

¶ Request parameters

NameType
Required
Default value
Description
Sample value
userIdstringyes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser ID type, the default value is user_id, the optional values ​​are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
user_id
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
withCustomDatabooleanNo-Whether to obtain custom datatrue
withDepartmentPathsbooleanNo-Whether to obtain department pathstrue
sortBystringNoJoinDepartmentAtSorting basis, such as department creation time, department joining time, department name, department identifierJoinDepartmentAt
orderBystringNoDescAscending or descending orderDesc

¶ Request Response

Type: UserDepartmentPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataUserDepartmentPagingDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "organizationCode": "steamory",
      "departmentId": "60b49eb83fd80adb96f26e68",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "name": "dd8d7stf44",
      "description": "dd8d7stf44",
      "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
      "isLeader": true,
      "code": "6229c4deb3e4d8a20b6021ff",
      "isMainDepartment": true,
      "joinedAt": "2022-07-03T03:20:30.000Z",
      "i18n": {
        "name": {
          "zh-CN": {
            "enabled": false,
            "value": "中文"
          },
          "en-US": {
            "enabled": false,
            "value": "English"
          }
        }
      },
      "customData": {
        "icon": "https://example.com/logo"
      },
      "departmentIdPath": "[\"parentId1\",\"parentId2\"]",
      "departmentCodePath": "[\"parentCode1\",\"parentCode2\"]",
      "departmentNamePath": "[\"parentName1\",\"parentName2\"]"
    }
  }
}

¶ Data Structure

¶ UserDepartmentPagingDto

NameType
Is it required?
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: UserDepartmentRespDto.

¶ UserDepartmentRespDto

NameType
Is it required?
Description
Sample value
organizationCodestringyesOrganization Code (organizationCode)steamory
departmentIdstringyesDepartment ID60b49eb83fd80adb96f26e68
isRootbooleanyesIs it the root department?
createdAtstringyesDepartment creation time2022-07-03T03:20:30.000Z
namestringyesDepartment namedd8d7stf44
descriptionstringyesDepartment descriptiondd8d7stf44
openDepartmentIdstringnoCustom department ID, used to store custom IDou_7dab8a3d3cdccxxxxxx777c7ad535d62
isLeaderbooleanyesIs it the department leadertrue
codestringyesDepartment identification code6229c4deb3e4d8a20b6021ff
isMainDepartmentbooleanyesIs it the main departmenttrue
joinedAtstringyesJoined department time2022-07-03T03:20:30.000Z
isVirtualNodebooleanyesIs it a virtual department?
i18nnoMulti-language settings Nested type: DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
departmentIdPatharrayNoDepartment ID path["parentId1","parentId2"]
departmentCodePatharrayNoDepartment Code path["parentCode1","parentCode2"]
departmentNamePatharrayNoDepartment name path["parentName1","parentName2"]

¶ DepartmentI18nDto

NameType
Is it required?
Description
Sample value
nameYesMulti-language-supported fields Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required?
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content
Previous article: Delete User Real-name Authentication Info Next article: Set User Departments
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.